View Issue Details

IDProjectCategoryView StatusLast Update
0011554mantisbtbugtrackerpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.0 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011554: Status legend should react to current filter settings
Description

The status legend shown at the bottom of the view all issues page should factor in the current filter settings.

The following conditions should apply to showing the status legend:

  • Don't show the legend if there is only one status selected by the filter
  • Hide statuses from the legend that are hidden by the 'hide status' filter (for simple filters)
  • Hide statuses from the legend that aren't selected using an advanced status filter
TagsNo tags attached.

Relationships

child of 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036511

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 8164b3eb

2010-02-25 16:33:07

dhx

Details Diff
Fix 0011554: Status legend should react to current filter settings

The status legend shown at the bottom of the view all issues page should
factor in the current filter settings.

The following conditions should apply to showing the status legend:
* Don't show the legend if there is only one status selected by the
filter
* Hide statuses from the legend that are hidden by the 'hide status'
filter (for simple filters)
* Hide statuses from the legend that aren't selected using an advanced
status filter
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2010-02-25 00:31 dhx New Issue
2010-02-25 00:31 dhx Status new => assigned
2010-02-25 00:31 dhx Assigned To => dhx
2010-02-25 00:35 dhx Status assigned => resolved
2010-02-25 00:35 dhx Fixed in Version => 1.3.0-beta.1
2010-02-25 00:35 dhx Resolution open => fixed
2010-02-25 00:40 dhx Changeset attached master 8164b3eb =>
2010-06-09 03:44 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036511
2013-04-05 18:03 grangeway Relationship added child of 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed